# $Id: kdeadmin.spec,v 1.30 2004/07/12 15:42:13 rexdieter Exp $

%define aurox_ver 10.2
%define rel 1

%define kdelibs_ver 6:%{version}
%define appdir %{_datadir}/applications/kde

%define monolithic 1
%define is_release 1 

%define kpackage 1
%define kuser 1 
%define ksysv 1
%define kwuftpd 0 

%ifarch s390 s390x
%define kisdndock 0
%else
%define kisdndock 1.0.2
%endif

#%ifarch %{ix86}
#%define lilo 1
#BuildRequires: lilo
#%else
#%define lilo 0
#%endif

%define lilo 0

Summary: Administrative tools for KDE.
Name:	 kdeadmin
Group: 	 User Interface/Desktops
Epoch:	 7
Version: 3.3.2
Release: %{aurox_ver}.aur.%{rel}
Source: http://download.kde.org/stable/3.3.2/src/kdeadmin-3.3.2.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: kisdndock-1.0.2.tar.bz2
Source2: kisdndock.pam

Patch0: kde-libtool.patch
Patch2: kdeadmin-3.2.3-kuserconfig.patch
Patch3: kdeadmin-3.0.0-kernelpath.patch

Requires: kdelibs >= %{kdelibs_ver} 
# Not needed/used anymore
#Requires: usermode

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
%if "%{?kpackage}" != "0"
BuildRequires: rpm-devel
BuildRequires: bzip2-devel
%endif

%if "%{?monolithic}" != "0"
Obsoletes: %{name}-kcron < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kdat < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kpackage < %{epoch}:%{version}-%{release}
Obsoletes: kpackage < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-ksysv < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kuser < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kwuftpd < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kcmlinuz < %{epoch}:%{version}-%{release} 
Obsoletes: %{name}-lilo < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kxconfig < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-kisdndock < %{epoch}:%{version}-%{release}
%if "%{?lilo}" != "0"
Provides: %{name}-lilo = %{epoch}:%{version}-%{release}
# Don't force lilo install -- Rex
#Requires: lilo
%endif
%if "%{?kisdndock}" != "0"
Provides: %{name}-kisdndock = %{epoch}:%{version}-%{release}
%endif
Provides: %{name}-kcron = %{epoch}:%{version}-%{release}
Provides: %{name}-kdat = %{epoch}:%{version}-%{release}
%if "%{?kpackage}" != "0"
Provides: %{name}-kpackage = %{epoch}:%{version}-%{release}
%endif
%if "%{?ksysv}" != "0"
Provides: %{name}-ksysv = %{epoch}:%{version}-%{release}
%endif
%if "%{?kuser}" != "0"
Provides: %{name}-kuser = %{epoch}:%{version}-%{release}
%endif
%if "%{?kwuftpd}" != "0"
Provides: %{name}-kwuftpd = %{epoch}:%{version}-%{release}
%endif
Provides: %{name}-kcmlinuz = %{epoch}:%{version}-%{release}
%endif

%description
The kdeadmin package includes administrative tools for the K Desktop
Environment (KDE), including kpackage, kdat, and kwuftpd.

%package kcron
Group: User Interface/Desktops
Summary: Crontab editor for KDE
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
%description kcron
KCron is a crontab editor for KDE - it helps you make your system run
commands periodically.

%package kdat
Group: User Interface/Desktops
Summary: Tape backup tool for KDE
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
%description kdat
KDat is a KDE application for controlling tape backups.

%package kpackage
Group: User Interface/Desktops
Summary: KDE package manager
Obsoletes: kpackage < %{epoch}:%{version}-%{release}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Provides:  %{name} = %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
Requires: usermode, pam
%description kpackage
KPackage is a graphical frontend for RPM and other package managers.

%package ksysv
Group: User Interface/Desktops
Summary: System V startup editor
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
%description ksysv
KSysV is a graphical frontend for configuring your runlevels (system
startup/shutdown sequence).

%package kuser
Group: User Interface/Desktops
Summary: Frontend for configuring users and user groups
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: usermode, pam
Requires: kdelibs >= %{kdelibs_ver}
%description kuser
KUser is a graphical frontend for managing the users and user groups on
your system.

%package kwuftpd
Group: User Interface/Desktops
Summary: Graphical interface for configuring wu-ftpd
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
Requires: usermode, pam
%description kwuftpd
KWuftpd is a graphical frontend for configuring the wu-ftpd ftp server.

%package kcmlinuz
Group: User Interface/Desktops
Summary: Linux kernel configurator for KDE
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
%description kcmlinuz
kcmlinuz is a graphical frontend for creating configuration files for compiling
kernels.

%package lilo
Group: User Interface/Desktops
Summary: Graphical frontend for configuring the LILO bootloader
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
Requires: lilo
%description lilo
kdeadmin-lilo is a KDE frontend for configuring the LILO bootloader.

%package kisdndock
Group: User Interface/Desktops
Summary: KDE dock application for ISDN
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Requires: kdelibs >= %{kdelibs_ver}
Requires: isdn4k-utils, redhat-config-network
%description kisdndock
kisdndock is a dock application for managing ISDN connections.


%prep

%if "%{is_release}" != "0"
%setup -q -n %{name}-%{version}%{?beta}
%else
%setup -q -n %{name} 
%endif

#patch0 -p1 -b .libtool
## TODO/FIXME -- Rex
#patch2 -p1 -b .kuserconfig
%patch3 -p1 -b .kernelpath

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

export DO_NOT_COMPILE=""
%if "%{?kpackage}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kpackage"
%endif
%if "%{?ksysv}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE ksysv"
%endif
%if "%{?kuser}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kuser"
%endif

%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-rpath \
  --with-rpm \
  --with-private-groups \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final }

make %{?_smp_mflags}

%if "%{?kisdndock}" != "0"
tar jvxf %{SOURCE1}
pushd kisdndock-%{kisdndock}

rm -rf admin && ln -sf ../admin .

make -f Makefile.cvs
./configure \
  --prefix=%{_prefix} \
  --libdir=%{_libdir} \
  --with-qt-libraries=$QTDIR/lib

make %{?_smp_mflags}
popd
%endif


%install
rm -rf "$RPM_BUILD_ROOT"

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# don't use, just delete. Our own versions come later.
rm -rf $RPM_BUILD_ROOT/etc/pam.d $RPM_BUILD_ROOT/etc/security

%if "%{?kisdndock}" != "0"

make -C kisdndock-%{kisdndock} install DESTDIR=$RPM_BUILD_ROOT transform=

mkdir -p $RPM_BUILD_ROOT%{_sbindir} \
         $RPM_BUILD_ROOT/etc/pam.d \
         $RPM_BUILD_ROOT/etc/security/console.apps
mv $RPM_BUILD_ROOT%{_bindir}/kisdndock $RPM_BUILD_ROOT%{_sbindir}/
mv $RPM_BUILD_ROOT%{_datadir}/applnk/Internet/* $RPM_BUILD_ROOT%{_datadir}/applications/kde/
install -m 0644 %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/kisdndock
touch $RPM_BUILD_ROOT/etc/security/console.apps/kisdndock
touch $RPM_BUILD_ROOT/etc/security/console.apps/kisdndock

pushd $RPM_BUILD_ROOT%{_bindir}
ln -fs consolehelper kisdndock
popd
%endif

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd


# Put in some sane defaults
%if "%{?kuser}" != "0"
mkdir -p $RPM_BUILD_ROOT%{_datadir}/config
cat >$RPM_BUILD_ROOT%{_datadir}/config/kuserrc <<EOF
[template]
copySkel=true
createHomeDir=true
homeBase=/home
shell=/bin/bash
userPrivateGroup=true
EOF
%endif

%if "%{?ksysv}" != "0"
cat >$RPM_BUILD_ROOT%{_datadir}/config/ksysvrc <<EOF
[Other Settings]
Configured=true
[Path Settings]
RunlevelPath=/etc/rc.d
ScriptPath=/etc/rc.d/init.d
[Runlevels]
Show Runlevels=0,1,2,3,4,5,6
EOF
%endif

%if "%{?kpackage}" == "0"
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/*/kpackage
%endif

%if "%{?ksysv}" == "0"
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/*/ksysv
%endif

%if "%{?kuser}" == "0"
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/*/kuser
%endif

%if "%{?kwuftpd}" == "0"
rm -rf $RPM_BUILD_ROOT%{_docdir}/HTML/*/kwuftpd
%endif

desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --copy-generic-name-to-name \
   $RPM_BUILD_ROOT%{appdir}/kcron.desktop


desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --add-category "X-KDE-More" \
   $RPM_BUILD_ROOT%{appdir}/kdat.desktop

desktop-file-install \
   --vendor "" \
   --dir $RPM_BUILD_ROOT%{appdir} \
   --delete-original \
   --add-only-show-in KDE \
   $RPM_BUILD_ROOT%{appdir}/linuz.desktop


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%if "%{?monolithic}" != "0"
%files
%defattr(-,root,root)
%{_bindir}/secpolicy
%{_libdir}/kde3/kfile_*
%{_datadir}/services/kfile_*
%endif

%if "%{?monolithic}" == "0"
%files kcron
%defattr(-,root,root)
%endif
%{_bindir}/kcron
%{_datadir}/applications/kde/*kcron.desktop
%{_datadir}/icons/*/*/apps/kcron*
%lang(en) %doc %{_docdir}/HTML/en/kcron

%if "%{?kisdndock}" != "0"
%if "%{?monolithic}" == "0"
%files kisdndock
%defattr(-,root,root)
%endif
%config /etc/pam.d/kisdndock
%config /etc/security/console.apps/kisdndock
%{_sbindir}/kisdndock
%{_bindir}/kisdndock
%{_libdir}/libkcm_kisdndock*
%{_datadir}/applnk/Settings/Network/kcmkisdndock.desktop
%{_datadir}/applications/kde/*kisdndock.desktop
%{_datadir}/icons/hicolor/16x16/apps/kisdndock.png
%{_datadir}/icons/kisdndock.png
%endif

%if "%{?monolithic}" == "0"
%files kdat
%defattr(-,root,root)
%endif
%{_bindir}/kdat
%{_datadir}/apps/kdat
%{_datadir}/applications/kde/*kdat.desktop
%{_datadir}/icons/*/*/apps/kdat*
%lang(en) %doc %{_docdir}/HTML/en/kdat

%if "%{?kpackage}" != "0"
%if "%{?monolithic}" == "0"
%files kpackage
%defattr(-,root,root)
%endif
#%config %{_datadir}/config/kpackagerc
%{_bindir}/kpackage
%{_datadir}/apps/kpackage
%{_datadir}/applications/kde/*kpackage.desktop
%{_datadir}/icons/*/*/apps/kpackage*
%{_datadir}/mimelnk/application/x-debian-package.desktop
%lang(en) %doc %{_docdir}/HTML/en/kpackage
%endif

%if "%{?ksysv}" != "0"
%if "%{?monolithic}" == "0"
%files ksysv
%defattr(-,root,root)
%endif
%config %{_datadir}/config/ksysvrc
%{_bindir}/ksysv
%{_datadir}/apps/ksysv
%{_datadir}/applications/kde/*ksysv.desktop
%{_datadir}/icons/*/*/apps/ksysv*
%{_datadir}/mimelnk/application/x-ksysv.desktop
%{_datadir}/mimelnk/text/x-ksysv-log.desktop
%{_datadir}/icons/*/*/actions/toggle_log.png
%lang(en) %doc %{_docdir}/HTML/en/ksysv
%endif

%if "%{?kuser}" != "0"
%if "%{?monolithic}" == "0"
%files kuser
%defattr(-,root,root)
%endif
%config %{_datadir}/config/kuserrc
%{_bindir}/kuser
%{_datadir}/apps/kuser
%{_datadir}/applications/kde/*kuser.desktop
%{_datadir}/config.kcfg/kuser.kcfg
%{_datadir}/icons/*/*/apps/kuser*
%lang(en) %doc %{_docdir}/HTML/en/kuser
%endif

%if "%{?kwuftpd}" != "0"
%if "%{?monolithic}" == "0"
%files kwuftpd
%defattr(-,root,root)
%endif
%{_bindir}/kwuftpd
%{_datadir}/applications/kde/*kwuftpd.desktop
%lang(en) %doc %{_docdir}/HTML/en/kwuftpd
%endif

%if "%{?monolithic}" == "0"
%files kcmlinuz
%defattr(-,root,root)
%endif
%{_datadir}/apps/kcmlinuz
%{_datadir}/applications/kde/*linuz.desktop
%{_libdir}/kde3/kcm_linuz*

%if "%{?lilo}" != "0"
%if "%{?monolithic}" == "0"
%files lilo
%defattr(-,root,root)
%endif
%{_datadir}/applications/kde/*lilo.desktop
%{_libdir}/kde3/kcm_lilo*
%endif


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Thu Jan 13 2005 Aurox Team <aurox@aurox.org> 7:3.3.2-10.2.aur.1


* Wed Oct 20 2004 Aurox Team <aurox@aurox.org> 7:3.3.1-10.1.aur.1


* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 7:3.3.0-1.0.kde
- 3.3.0

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.92-0.0.kde
- 3.2.92

* Mon Jul 12 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.3-1.1.kde
- remove Req: lilo

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.3-1.0.kde
- 3.2.3

* Tue May 18 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.2-2.0.kde
- FC2

* Tue May 04 2004 Than Ngo <than@redhat.com> 7:3.2.2-2
- cleanup GNOME/KDE menu

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.2-0.fdr.0
- 3.2.2

* Sun Mar 14 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.1
- nuke consolehelper bits (not needed any more) 

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.0
- 3.2.1

* Tue Feb 10 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.1
- try to get kisdndock working (again)

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.0
- 3.2.0

* Mon Jan 19 2004 Rex Dieter <rexdieter at sf.net> 7:3.1.95-0.fdr.0
- 3.1.95

* Mon Dec 15 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.94-0.fdr.0
- 3.1.94

* Fri Dec 05 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.4-0.fdr.1
- (re)build for qt-3.2.x 

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.4-0.fdr.0
- 3.1.4

* Tue Jul 15 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.3-0.fdr.0
- 3.1.3
- %%lang'ify %%docs

* Fri May 16 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Thu Apr 03 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Sun Mar 09 2003 Ronny Buchmann <ronny-vlug@vlugnet.org> 3.1-1.6
- fix kisdndock build (and build it)
- add missing kdat icons

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.5
- rebuild

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- use epochs in Obsoletes/Provides/Requires.

* Mon Feb 10 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- enable kpackage for rh8.

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- kde-redhat versioning
- kpackage disabled for rh80, dunno if it'll work with rpm-4.1 (yet).

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.

* Mon Jan 06 2003 Rex Dieter <rexdieter at sf.net> 3.1-0.rc6.0
- 3.1rc6

* Sat Dec 21 2002 Rex Dieter <rexdieter at sf.net> 3.0.5a-0
- 3.0.5a

* Fri Dec 20 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0.2
- handle monolithic=1 case.

* Mon Dec 16 2002 Rex Dieter <rexdieter at sf.net> 3.0.5-0.1
- fix minor upgrade issues.

* Sun Dec 08 2002 Rex Dieter <rexdieter at sf.net> 3.1-0.rc5.0
- 3.1rc5
- prune pre 3.0 changelog
- monolithic=1 (for now), at least until the monolithic=0
  case is handled properly.

* Thu Nov 28 2002 Than Ngo <than@redhat.com> 3.1-0.2
- desktop file issues

* Mon Nov 25 2002 Than Ngo <than@redhat.com> 3.1-0.1
- update to 3.1 rc4
- desktop file issues
- adjust some patch files for 3.1

